#
# spec file for package patchelf
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           patchelf
Summary:        A utility for patching ELF binaries
License:        GPL-3.0
Group:          Development/Libraries/C and C++
Version:        0.8
Release:        9.2
Url:            http://nixos.org/patchelf.html
Source:         http://releases.nixos.org/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2
BuildRequires:  gcc-c++
# Tests fail here
ExcludeArch:    ppc ppc64 ppc64le %arm

%description
PatchELF is a simple utility for modifing existing ELF executables and
libraries.  It can change the dynamic loader ("ELF interpreter") of
executables and change the RPATH of executables and libraries.

%prep
%setup -q

%build
%configure
make

%check
make check

%install
make DESTDIR=%{buildroot} install
rm %{buildroot}/usr/share/doc/patchelf/README

%files
%defattr(-,root,root)  
%doc README
%{_bindir}/*
%{_mandir}/man*/patchelf.*

%changelog
* Thu Aug 13 2015 normand@linux.vnet.ibm.com
- exclude ppc64le as already done for ppc/ppc64 (4 tests FAIL)
    set-interpreter-long.sh
    set-rpath.sh
    big-dynstr.sh
    set-rpath-library.sh
  Same exclude on fedora as per bug 627370
  https://bugzilla.redhat.com/show_bug.cgi?id=627370
* Sat Aug  2 2014 idonmez@suse.com
- Update to version 0.8
  * No changelog upstream
* Tue Jul  3 2012 dvaleev@suse.com
- exclude ppc and ppc64. Tests are failed
* Thu Jun 21 2012 adrian@suse.de
- initial packaging of patchelf version 0.6
  required for accelerated cross build package
